tiger.h File Reference

Classes for the Tiger message digest. More...

Go to the source code of this file.

## Classes

class | Tiger
| Tiger message digest. More...

## Macros

#define | CRYPTOPP_DISABLE_TIGER_ASM 1

## Detailed Description

Classes for the Tiger message digest.

Crypto++ provides the original Tiger hash that was submitted to the NESSIE project. The implementation is different from the revised Tiger2 hash.

See also
  Tiger and Tiger: A Fast New Cryptographic Hash Function

Since
  Crypto++ 2.1

Definition in file tiger.h.